KeySubst (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.KeySubst class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class KeySubst

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.KeySubst

Deprecated. KeySubst is deprecated since Ant 1.1. Use Filter + Copy instead.

public class KeySubst
extends Task

Keyword substitution. Input file is written to output file. Do not make input file same as output file. Keywords in input files look like this: @foo@. See the docs for the setKeys method to understand how to do the substitutions.

Since:
  Ant 1.1
Author:
  Jon S. Stevens jon@clearink.com

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`KeySubst()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Do the execution.
`static void` | `main(java.lang.String[] args)` Deprecated.
`static java.lang.String` | `replace(java.lang.String origString, java.util.Hashtable keys)` Deprecated. Does replacement on text using the hashtable of keys.
`void` | `setDest(java.io.File dest)` Deprecated. Set the destination file.
`void` | `setKeys(java.lang.String keys)` Deprecated. Sets the keys.
`void` | `setSep(java.lang.String sep)` Deprecated. Sets the seperator between name=value arguments in setKeys().
`void` | `setSrc(java.io.File s)` Deprecated. Set the source file.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeySubst

    public KeySubst()

  Deprecated.

Method Detail

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Do the execution.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setSrc

    public void setSrc(java.io.File s)

  Deprecated.
  Set the source file.

### setDest

    public void setDest(java.io.File dest)

  Deprecated.
  Set the destination file.

### setSep

    public void setSep(java.lang.String sep)

  Deprecated.
  Sets the seperator between name=value arguments in setKeys(). By default it is "*".

### setKeys

    public void setKeys(java.lang.String keys)

  Deprecated.
  Sets the keys. Format string is like this:

  name=value*name2=value

  Names are case sensitive.

  Use the setSep() method to change the * to something else if you need to use * as a name or value.

### main

    public static void main(java.lang.String[] args)

  Deprecated.

### replace

    public static java.lang.String replace(java.lang.String origString,
                                           java.util.Hashtable keys)
                                    throws BuildException

  Deprecated.
  Does replacement on text using the hashtable of keys.

  Returns:
    the string with the replacements in it.
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.